<div style="margin-top: 20px;">
    <div class="container">
        <div style="margin-top: 20px;">

            <div class="fieldset-legend">
                <p-accordion class="filter-accordion">
                    <p-accordionTab header="Filter" [selected]="true">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label jhiTranslate="mpmApp.suspectPerson.marketName">Market Name</label>
                                    <input type="text" class="form-control"  id="field_marketName" name="marketName" 
                                        [(ngModel)]="selectedMarketName" >
                            </div>                                    
                            <div class="form-group">
                                <label jhiTranslate="mpmApp.suspectPerson.job">Pekerjaan</label>
                                <select class="form-control" id="field_workType" name="workType" [(ngModel)]="selectedWorkType">
                                    <option [ngValue]="null">Select Job</option>
                                    <option [ngValue]="workTypeOption.idWorkType" *ngFor="let workTypeOption of worktypes">{{workTypeOption.description}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label jhiTranslate="mpmApp.suspectPerson.yearOfPurchase">Tahun Pembelian</label>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate" name="input_dateCreate1" 
                                                dateFormat="dd-M-yy" 
                                                [showIcon]="true"
                                                [(ngModel)]="tgl1"
                                                ></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="input-group input-calendar">
                                            <p-calendar inputId="field_dateCreate2" name="input_dateCreate2" 
                                                dateFormat="dd-M-yy" 
                                                [showIcon]="true"
                                                [(ngModel)]="tgl2"
                                                ></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label jhiTranslate="mpmApp.suspectPerson.district">Kecamatan</label>
                                <jhi-district-view-net
                                    [district] = "selectedDistrict" city="none" on-select="getDistrict($event)"
                                ></jhi-district-view-net>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.korsales" for="field_dateCreate">Korsal</label>
                                <!-- </p-dropdown class="form-select" [options]="korals" [(ngModel)]="selectedKorsal" placeholder="Select Korsal" ></p-dropdown> -->
                                <select class="form-control" [(ngModel)]="selectedKorsal" (change)="selectSalesByKorsal()">
                                    <option [value]="null"></option>
                                    <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.name}}</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="form-control-label" jhiTranslate="mpmApp.vehicleSalesOrder.sales" for="field_dateCreate">Sales</label>
                                <select class="form-control" [(ngModel)]="selectedSalesman">
                                    <option [value]="null"></option>
                                    <option [value]="salesman.idPartyRole" *ngFor="let salesman of salesmans">{{salesman.name}}</option>
                            </div>
                        </div>
                    </div>
                <div class="btn-filter-wrapper">
                    <button type="button" class="btn btn-default" (click)="clear()">
                        <span>Clear</span>
                    </button>
                    <button type="button" class="btn btn-primary btn-filter" (click)="filter()">
                        <span>FILTER</span>
                    </button>
                </div>
            </div>
            <div class="col-md-12" style="overflow:auto">
                    <div class="pull-right">
                        <div style="margin-bottom: 10px;">
                            <button pButton type="button" class="ui-button-primary btn-sm" label="ASSIGN" (click)="assign()" [disabled]="selected?.length == 0"></button>
                            </button>
                        </div>
                    </div>
                </div>
            <div>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.suspect.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </div>
            <p-dataTable 
                [value]="suspectPeople" 
                [editable]="true" 
                [rows]="itemsPerPage" 
                [paginator]="true" 
                [pageLinks]="5"     
                [rowsPerPageOptions]="[10,15,20]" 
                [totalRecords]="totalItems" 
                [responsive]="true" 
                [lazy]="true" 
                dataKey="idparty" 
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)" 
                [(selection)]="selected" 
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <div class="row"></div>
                </p-header>
                <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
                <p-column header="{{'mpmApp.suspectPerson.nik'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.personalIdNumber}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.unitRevenue'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.unitRevenue}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.lengthOfPurchase'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.lengthOfPurchase}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.freqService'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.freqService}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.serviceRevenue'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.serviceRevenue}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.freqSparePart'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.freqSparePart}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.sparePartRevenue'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.sparePartRevenue}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.totalRevenue'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.totalRevenue}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.repurchaseProbability'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.repurchaseProbability}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.priority'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.priority}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.statusSuspect'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.statusSuspect}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.LastAssignTo'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.lastAssignTo}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.suspectPerson.lastAssignDate'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.lastAssignDate  | date:'dd-MMM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>
                
                <p-column header="{{'mpmApp.suspectPerson.statusSMS'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.statusSms}}
                        </div>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>


<p-dialog header="Assign To" [(visible)]="display" modal="modal" width="600" [responsive]="true">
        <div class="form-group">
            <label jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Korsal</label>
            <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="selectedCoordinatorSales" >
                <option [value]="null">Select Korsal</option>
                <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.name}}</option>
            </select>
        </div>
       <p-footer>
            <button type="button" pButton icon="fa-check" (click)="assignTo()" label="Yes"></button>
            <button type="button" pButton icon="fa-close" (click)="display=false" label="No"></button>
        </p-footer>
</p-dialog>

<p-dialog header="Assign To" [(visible)]="display" modal="modal" width="600" [responsive]="true">
        <div class="form-group">
            <label jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Korsal</label>
            <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="selectedCoordinatorSales" >
                <option [value]="null">Select Korsal</option>
                <option [value]="korsal.idPartyRole" *ngFor="let korsal of korsals">{{korsal.name}}</option>
            </select>
        </div>
       <p-footer>
            <button type="button" pButton icon="fa-check" (click)="assignTo()" label="Yes"></button>
            <button type="button" pButton icon="fa-close" (click)="display=false" label="No"></button>
        </p-footer>
</p-dialog>

<p-dialog [(visible)]="smsGateway" responsive="true" width="360" modal="true">
    <div>
        <div class="ui-g">
            <div class="ui-lg-12">
                <label> Apakah Akan Mengirim SMS Notifikasi ? </label>
            </div>
        </div>
    </div>
    <p-footer>
        <button type="button" pButton icon="fa-check" (click)="smsNo()" label="Yes"></button>
        <button type="button" pButton icon="fa-close" (click)="smsNo()" label="No"></button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="isCompleted" closable="true" responsive="true" width="360" modal="true">
    <div>
        <div class="ui-g">
            <div class="ui-lg-12">
                <label> {{total}} Data Berhasil di Assign ke Korsal {{korsname}}</label>
            </div>
        </div>
    </div>
</p-dialog>